AvailabilityCheckService (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.mbean.AvailabilityCheckService class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.mbean
Class AvailabilityCheckService

    java.lang.Object
      org.hyperic.hq.common.SessionMBeanBase
          org.hyperic.hq.measurement.server.mbean.AvailabilityCheckService

All Implemented Interfaces:
  org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean

    public class AvailabilityCheckService

extends SessionMBeanBase
implements org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean

This job is responsible for filling in missing availabilty metric values.

Constructor Summary
`AvailabilityCheckService()`

Method Summary
`void` | `destroy()`
`long` | `getInterval()` Get the interval for how often this mbean is called
`long` | `getWait()` Get the wait for how long after service starts to backfill
`void` | `hit(java.util.Date lDate)` This method ignores the date which is passed in, the reason for this is that we have seen instances where the JBoss Timer service produces an invalid date which is in the past.
`protected void` | `hitInSession(java.util.Date lDate)`
`void` | `hitWithDate(java.util.Date lDate)` This method is used mainly for the unittest from AvailabilityManager_testEJBImpl.invokeBackfiller()
`void` | `init()`
`void` | `setInterval(long interval)` Set the interval for how often this mbean is called
`void` | `setWait(long wait)` Set the wait for how long after service starts to backfill
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AvailabilityCheckService

    public AvailabilityCheckService()

Method Detail

### hitWithDate

    public void hitWithDate(java.util.Date lDate)

  This method is used mainly for the unittest from AvailabilityManager_testEJBImpl.invokeBackfiller()

  Specified by:
    `hitWithDate` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`

### hit

    public void hit(java.util.Date lDate)

  This method ignores the date which is passed in, the reason for this is that we have seen instances where the JBoss Timer service produces an invalid date which is in the past. Since AvailabilityCheckService is very time sensitive this is not acceptable. Therefore we use System.currentTimeMillis() and ignore the date which is passed in.

  Specified by:
    `hit` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`
  Overrides:
    `hit` in class `SessionMBeanBase`

### hitInSession

    protected void hitInSession(java.util.Date lDate)

  Specified by:
    `hitInSession` in class `SessionMBeanBase`

### getInterval

    public long getInterval()

  Get the interval for how often this mbean is called

  Specified by:
    `getInterval` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`

### setInterval

    public void setInterval(long interval)

  Set the interval for how often this mbean is called

  Specified by:
    `setInterval` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`

### getWait

    public long getWait()

  Get the wait for how long after service starts to backfill

  Specified by:
    `getWait` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`

### setWait

    public void setWait(long wait)

  Set the wait for how long after service starts to backfill

  Specified by:
    `setWait` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`

### init

    public void init()

  Specified by:
    `init` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.hyperic.hq.measurement.server.mbean.AvailabilityCheckServiceMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.